Comment 44 for bug 1717714

Eric Desrochers (slashd) wrote :

I have re-did the SRU by renaming/modifying the existing patch to adapt to the profile-14.04.

[VALIDATION PRE-UPLOAD]

# dpkg -l | grep -i apparmor
ii apparmor 2.10.95-0ubuntu2.6~14.04.3 amd64 user-space parser utility for AppArmor
ii libapparmor-perl 2.10.95-0ubuntu2.6~14.04.1 amd64 AppArmor library Perl bindings
ii libapparmor1:amd64 2.10.95-0ubuntu2.6~14.04.1 amd64 changehat AppArmor library

# grep "@{pid}=" /etc/apparmor.d/tunables/kernelvars | grep -v "#"
@{pid}={[1-9],[1-9][0-9],[1-9][0-9][0-9],[1-9][0-9][0-9][0-9],[1-9][0-9][0-9][0-9][0-9],[1-9][0-9][0-9][0-9][0-9][0-9],[1-4][0-9][0-9][0-9][0-9][0-9][0-9]}

# diff -u /tmp/kernelvars_2.10.95-0ubuntu2.6~14.04.2 /tmp/kernelvars_2.10.95-0ubuntu2.6~14.04.3
--- /tmp/kernelvars_2.10.95-0ubuntu2.6~14.04.2 2018-02-02 16:13:34.391910246 +0000
+++ /tmp/kernelvars_2.10.95-0ubuntu2.6~14.04.3 2018-02-02 16:14:25.880489983 +0000
@@ -13,7 +13,7 @@
 # and until the parser supports nested groupings like
 # @{pid}=[1-9]{[0-9]{[0-9]{[0-9]{[0-9]{[0-9],},},},},}
 # use
-@{pid}={[1-9],[1-9][0-9],[1-9][0-9][0-9],[1-9][0-9][0-9][0-9],[1-9][0-9][0-9][0-9][0-9],[1-9][0-9][0-9][0-9][0-9][0-9]}
+@{pid}={[1-9],[1-9][0-9],[1-9][0-9][0-9],[1-9][0-9][0-9][0-9],[1-9][0-9][0-9][0-9][0-9],[1-9][0-9][0-9][0-9][0-9][0-9],[1-4][0-9][0-9][0-9][0-9][0-9][0-9]}

 #same pattern as @{pid} for now
 @{tid}=@{pid}

The above confirm that the patch is now taking into account as it should.

- Eric